package Drawnings;

import Entities.EntityPlane;

import java.awt.*;

public class DrawingPlane extends DrawingAirbus {

    public DrawingPlane(int speed, float weight, Color bodyColor, int countPortholes, Color additionalColor, boolean isCompartment, boolean isAdditionalEngine, int width, int height)
    {
        super(speed, weight, bodyColor, countPortholes, width, height);
        if (entityAirbus != null) {
            entityAirbus = new EntityPlane(speed, weight, bodyColor, additionalColor, isCompartment, isAdditionalEngine);
        }
    }
    @Override
    public void DrawTransport(Graphics2D g) {

        if (entityAirbus == null)
        {
            return;
        }

        Color additionalColor = ((EntityPlane)entityAirbus).getAdditionalColor();
        //Пассажирсакий доп. отсек
        if (((EntityPlane)entityAirbus).IsCompartment())
        {
            g.setColor(additionalColor);
            g.drawArc(_startPosX + 60, _startPosY + 28, 115, 45, 0, 180);
            g.fillArc(_startPosX + 60, _startPosY + 28, 115, 45, 0, 180);
        }
        super.DrawTransport(g);
// Доп. двигатели
        if (((EntityPlane)entityAirbus).IsAdditionalEngine())
        {
            g.drawLine(_startPosX + 95, _startPosY + 68, _startPosX + 95, _startPosY + 75);
            g.setColor(additionalColor);
            int[] xPolygon = { _startPosX + 83, _startPosX + 103, _startPosX + 103, _startPosX + 83, _startPosX + 83};
            int[] yPolygon = {_startPosY + 78, _startPosY + 73, _startPosY + 93, _startPosY + 88, _startPosY + 78};
            g.drawPolygon(xPolygon, yPolygon, xPolygon.length);
            g.fillPolygon(xPolygon, yPolygon, xPolygon.length);
        }
    }
}
