package MovementStrategy;
import Drawnings.*;

public class DrawingObjectAirbus implements IMoveableObject {
    private DrawingAirbus _drawingAirbus = null;

    public DrawingObjectAirbus(DrawingAirbus drawingAirbus)
    {
        _drawingAirbus = drawingAirbus;
    }

    public ObjectParameters GetObjectPosition()
    {
        if (_drawingAirbus == null || _drawingAirbus.entityAirbus == null)
        {
            return null;
        }
        return new ObjectParameters(_drawingAirbus.GetPosX(), _drawingAirbus.GetPosY(), _drawingAirbus.GetWidth(), _drawingAirbus.GetHeight());
    }

    public int GetStep() { return (int)_drawingAirbus.entityAirbus.Step; }
    public boolean CheckCanMove(Direction direction) { return _drawingAirbus.CanMove(direction); }
    public void MoveObject(Direction direction) { _drawingAirbus.MoveTransport(direction); }
}
