package MovementStrategy;

public class MoveToBorder extends AbstractStrategy {
    @Override
    protected boolean IsTargetDestination()
    {
        var objParams = GetObjectParameters();
        if (objParams == null)
        {
            return false;
        }
        return objParams.RightBorder() + GetStep() >= FieldWidth && objParams.DownBorder() + GetStep() >= FieldHeight;
    }

    // движение к цели
    @Override
    protected void MoveToTarget()
    {
        var objParams = GetObjectParameters();
        if (objParams == null)
        {
            return;
        }
        var diffX = objParams.RightBorder() - FieldWidth;
        var diffY = objParams.DownBorder() - FieldHeight;
        if (diffX >= 0)
        {
            MoveDown();
        }
        else if (diffY >= 0)
        {
            MoveRight();
        }
        else if (Math.abs(diffX) > Math.abs(diffY))
        {
            MoveRight();
        }
        else
        {
            MoveDown();
        }

    }
}
